Responses
Query responses
Fetch review responses via API.
GET
Query responses
See Introduction for the base URL and authentication.
The
Equal (
Filter Array (as JSON string):
Full Encoded Request:
Not Equal (
Filter Array (as JSON string):
Full Encoded Request:
Greater Than (
Filter Array (as JSON string):
Full Encoded Request:
Greater Than or Equal (
Filter Array (as JSON string):
Full Encoded Request:
Less Than (
Filter Array (as JSON string):
Full Encoded Request:
Less Than or Equal (
Filter Array (as JSON string):
Full Encoded Request:
Full Encoded Request:
Full Encoded Request:
Full Encoded Request:
Full Encoded Request:
Full Encoded Request:
Full Encoded Request:
Full Encoded Request:
Full Encoded Request:
Full Encoded Request:
Note: The
Query Parameters
string
required
The ID of the review type.
string
required
The comma-separated IDs of the fields you are interested in.
string
Filter by review status. Possible values:
approved, rejected.string
Filter by response values. See Filtering Response Values for more details.
boolean
default:false
Whether to group the responses by field. If not, grouped by review.
boolean
default:false
Lists only the response values for approved reviews.
boolean
default:false
Lists only the request values for rejected reviews.
number
The number of responses to return. Maximum 500 (Team: 100, Starter: limited).
Filtering Response Values
ThefilterResponseValues parameter allows you to filter responses based on their field values. This parameter accepts an array of filter objects that are combined with AND logic.
Filter Array (as JSON string):
filterResponseValues parameter must be passed as a URL-encoded JSON string array. Important: Do not pass an actual array object, but a JSON string. In n8n expressions, you can use yourArray.toJsonString() to convert an array to a JSON string.
Full Encoded Request:
Supported Operations
Scalar Operations:==- Field equals value (example)!=- Field does not equal value (example)>- Field > value (example)>=- Field >= value (example)<- Field < value (example)<=- Field <= value (example)contains- Field contains substring (example)startsWith- Field starts with substring (example)endsWith- Field ends with substring (example)isTrue- Field is true (example)isFalse- Field is false (example)
arrayIncludes- Array contains value (example)arrayExcludes- Array does not contain value (example)arrayIsEmpty- Array is empty (example)arrayIsNotEmpty- Array is not empty (example)
responseValues field that you receive in your response webhooks:
Examples
Equal (==)
Filter Array (as JSON string):
Not Equal (!=)
Filter Array (as JSON string):
Greater Than (>)
Filter Array (as JSON string):
Greater Than or Equal (>=)
Filter Array (as JSON string):
Less Than (<)
Filter Array (as JSON string):
Less Than or Equal (<=)
Filter Array (as JSON string):
Contains
Filter Array (as JSON string):Starts With
Filter Array (as JSON string):Ends With
Filter Array (as JSON string):Is True
Filter Array (as JSON string):Is False
Filter Array (as JSON string):Array Includes
Filter Array (as JSON string):Array Excludes
Filter Array (as JSON string):Array Is Empty
Filter Array (as JSON string):Array Is Not Empty
Filter Array (as JSON string):Array Property Includes
Filter Array (as JSON string):array[].property syntax is used for filtering by/comparing with a nested property value when the array items are objects. This works like a .map() operation, allowing you to access properties within array elements.
Full Encoded Request: